/*
 * AOChat -- library for talking with the Anarchy Online chat servers
 * Copyright (C) 2002  Oskari Saarenmaa <pickett@sumu.org>
 *
 * $Id: keyex.h,v 1.1 2002/11/14 09:53:35 pickett Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 *
 */

/*
 * prototypes for keyex.c
 *
 */

#ifndef _KEYEX_H
#define _KEYEX_H

void generate_login_key(char*, char*, char*);
void aocrypt(char *, char *, char *, int);
void aocrypt_permute(int[2], int[2], int[8]);

#endif
